Package mvpa :: Package atlases :: Module fsl :: Class FSLProbabilisticAtlas

[hide private]
[frames] | no frames]

# Class FSLProbabilisticAtlas

source code

Probabilistic FSL atlases

Instance Methods | [hide private]

__init__(self, thr=0.0, strategy='all', sort=True, *args, **kwargs) Create an atlas object based on the... XXX | source code

labelVoxel(self, c, levels=None) Return labels for the voxel | source code

find(self, *args, **kwargs) Just a shortcut to the only level. | source code

getMap(self, target, strategy='unique') Return a probability map | source code

getMaps(self, target) Return a list of probability maps for the target | source code

Inherited from `FSLAtlas` (private): `_loadData`, `_loadImages`

Inherited from `base.XMLBasedAtlas`: `__getattr__`, `__getitem__`, `labelPoint`, `levelsListing`, `loadAtlas`, `setCoordT`, `version`

Inherited from `base.XMLBasedAtlas` (private): `_checkRange`, `_getLevels`, `_getLevelsDict`, `_getLevelsDict_virtual`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods | [hide private]

Inherited from `FSLAtlas` (private): `_checkVersion` Inherited from `base.XMLBasedAtlas` (private): `_children_tags`, `_compare_lists`

Class Variables | [hide private]

| __doc__ = `enhancedDocString('FSLProbabilisticAtlas', locals(),`...``
Inherited from `FSLAtlas`: `source` Inherited from `base.XMLBasedAtlas`: `coordT`, `extent`, `levels_dict`, `origin`, `spaceT`, `voxdim`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, thr=0.0, strategy='all', sort=True, *args, **kwargs)
(Constructor)

source code

Create an atlas object based on the... XXX

Parameters:
  - `thr` (float) - Value to threshold at
  - `strategy` (basestring) -
    Possible values
      all - all entries above thr max - entry with maximal value
  - `sort` (bool) - Either to sort entries for 'all' strategy according to probability
Overrides: object.__init__

### labelVoxel(self, c, levels=None)

source code

Return labels for the voxel

Parameters:

- c : tuple of coordinates (xyz)
- levels : just for API consistency (heh heh). Must be 0 for FSL atlases

### find(self, *args, **kwargs)

source code

    Just a shortcut to the only level.

    See :class:`~mvpa.atlases.base.Level.find` for more info

### getMap(self, target, strategy='unique')

source code

Return a probability map

Parameters:
  - `target` (int or str or re._pattern_type) - If int, map for given index is returned. Otherwise, .find is called with unique=True to find matching area
  - `strategy` (str in ('unique', 'max')) - If 'unique', then if multiple areas match, exception would be raised. In case of 'max', each voxel would get maximal value of probabilities from all matching areas

### getMaps(self, target)

source code

Return a list of probability maps for the target

Parameters:
  - `target` (str or re._pattern_type) - .find is called with a target and unique=False to find all matches

Class Variable Details | [hide private]

### __doc__

Value:

      enhancedDocString('FSLProbabilisticAtlas', locals(), FSLAtlas)